#!/bin/bash

BOOT_UUID=`cat /proc/cmdline| tr ' ' '\n' | grep UUID | awk -F'=' '{print $NF}'`
DEVICE=$(mount|grep 'install/isodir'|grep ext|sed -n 1p|awk '{print $1}'|sed 's/[0-9]//')

   
if [ "${BOOT_UUID}" != "" ];then

        SYS_DISK=`blkid | grep $BOOT_UUID | cut -c1-8`

elif [ -n "$DEVICE" ];then

        SYS_DISK="$DEVICE"

else

        SYS_DISK=/dev/sda

fi



BOOT_PAR=${SYS_DISK}1



mount ${BOOT_PAR} /tmp

if test ${?} -eq 0; then
    isdeja=`sed -n '1,1p' /tmp/usr/sbin/grub-original-menu.txt`
    if [ "${isdeja}" == "true" ]; then
	sed -i "1c false" /tmp/usr/sbin/grub-original-menu.txt
	grubori=`sed -n '2,1p' /tmp/usr/sbin/grub-original-menu.txt`
	bootori=`sed -n '3,1p' /tmp/usr/sbin/grub-original-menu.txt`
	bootshow=`sed -n '4,1p' /tmp/usr/sbin/grub-original-menu.txt`
	efiori=`sed -n '5,1p' /tmp/usr/sbin/grub-original-menu.txt`

        n0=`cat /tmp/boot/grub.cfg | grep menuentry | wc -l`
        if test ${n0} -gt 0; then

                s=`cat /tmp/boot/grub.cfg | grep menuentry | grep -n "System Backup and Restore"|cut -d : -f 1`

                n1=`cat /tmp/boot/grub.cfg |grep -n default|cut -d : -f 1`
                n2=`cat /tmp/boot/boot.cfg |grep -n default|cut -d : -f 1`
                n3=`cat /tmp/boot/boot.cfg |grep -n showmenu|cut -d : -f 1`
                n4=`cat /tmp/EFI/BOOT/grub.cfg | grep -n default|cut -d : -f 1`
                echo ${n1}
                sed -i "${n1}c ${grubori}" /tmp/boot/grub.cfg
                sed -i "${n2}c ${bootori}" /tmp/boot/boot.cfg
                sed -i "${n3}c ${bootshow}" /tmp/boot/boot.cfg
                sed -i "${n4}c ${efiori}" /tmp/EFI/BOOT/grub.cfg
        fi
    fi
umount /tmp

fi
